Start workflow
Adds the specified email and begins workflow.
Endpoint
Section titled “Endpoint”HTTP method: POST
https://api.sender.net/v2/workflows/{id}/start
Parameters
Section titled “Parameters”| Parameter | Type | Description |
|---|---|---|
id | string required | Workflow ID |
email | string required | The email address that will be added to the workflow. |
Request Examples
Section titled “Request Examples”const url = new URL("https://api.sender.net/v2/workflows/{id}/start");
let headers = { "Authorization": "Bearer [your-token]", "Content-Type": "application/json", "Accept": "application/json",};
let bodyContent = {};
fetch(url, { method: "POST", headers, body: JSON.stringify(bodyContent)}).then(response => response.json()).then(data => console.log(data)).catch(error => console.error('Error:', error));$client = new \GuzzleHttp\Client();
$json = [];
$response = $client->post( 'https://api.sender.net/v2/workflows/{id}/start', [ 'headers' => [ 'Authorization' => 'Bearer [your-token]', 'Content-Type' => 'application/json', 'Accept' => 'application/json', ], 'json' => $json ]);
$body = $response->getBody()->getContents();$data = json_decode($body, true);print_r($data);import requestsimport json
url = "https://api.sender.net/v2/workflows/{id}/start"
headers = { "Authorization": "Bearer [your-token]", "Content-Type": "application/json", "Accept": "application/json",}
payload = {}
response = requests.request('POST', url, headers=headers, json=payload)
print(response.json())curl -X POST \"https://api.sender.net/v2/workflows/{id}/start" \-H "Authorization: Bearer [your-token]" \-H "Content-Type: application/json" \-H "Accept: application/json" \Response
Section titled “Response”{ "success": true,}